Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.lag2poly

polynomial.laguerre.lag2poly(c)

  Convert a Laguerre series to a polynomial.

  Convert an array representing the coefficients of a Laguerre series, ordered from lowest degree to highest, to an array of the coefficients of the equivalent polynomial (relative to the “standard” basis) ordered from lowest to highest degree.

  Parameters:
    c array_like

      1-D array containing the Laguerre series coefficients, ordered from lowest order term to highest.

  Returns:
    pol ndarray

      1-D array containing the coefficients of the equivalent polynomial (relative to the “standard” basis) ordered from lowest order term to highest.

  See also

  `poly2lag`

  Notes

  The easy way to do conversions between polynomial basis sets is to use the convert method of a class instance.

  Examples

      >>> from numpy.polynomial.laguerre import lag2poly
      >>> lag2poly([ 23., -63.,  58., -18.])
      array([0., 1., 2., 3.])